Loading...
Searching...
No Matches
Assert.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Exceptions/Error.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | AlwaysAssert(expr, exception)
| These marcos are provided for use instead of simply using the assert_ function directly.
#define | AlwaysAssertExit(expr)
#define | DebugAssert(expr, exception)
#define | DebugAssertExit(expr)

## Functions

template<typename t>
void | casacore::assert_ (bool expr, const char *msg, const char *file, int line)

## Macro Definition Documentation

## AlwaysAssert

#define AlwaysAssert | ( |  | expr,
|  |  | exception )

These marcos are provided for use instead of simply using the assert_ function directly.

DebugAssert and AlwaysAssert are designed to be used by library elements because they actually raise an exception which can later be later caught. DebugAssertExit and AlwaysAssertExit are intended to be used by the applications writer, because they cause an exit(0).

Definition at line 134 of file Assert.h.

Referenced by casacore::MArrayMath_global_functions_MArray_mathematical_operations::boxedArrayMath(), casacore::TableExprIdAggr::cast(), casacore::JsonValue::fillArray(), makeArray(), casacore::MArrayMath_global_functions_MArray_mathematical_operations::partialArrayMath(), casacore::set_size(), casacore::python::stl_variable_capacity_policy::set_value(), and casacore::MArrayMath_global_functions_MArray_mathematical_operations::slidingArrayMath().

## AlwaysAssertExit

#define AlwaysAssertExit | ( |  | expr | ) |

Definition at line 136 of file Assert.h.

## DebugAssert

#define DebugAssert | ( |  | expr,
|  |  | exception )

Definition at line 148 of file Assert.h.

Referenced by casacore::BitVector::clearBit(), casacore::coefficient(), casacore::EvenPolynomialParam< T >::coefficient(), casacore::OddPolynomialParam< T >::coefficient(), casacore::PowerLogarithmicPolynomialParam< T >::coefficient(), casacore::SPolynomialParam< T >::coefficient(), casacore::CombiParam< T >::function(), casacore::CombiParam< T >::function(), casacore::CompoundParam< T >::function(), casacore::Function< T, U >::operator()(), casacore::Function< T, U >::operator()(), casacore::CompoundParam< T >::parameterFunction(), casacore::CompoundParam< T >::parameterLocation(), casacore::CompoundParam< T >::parameterOffset(), casacore::BitVector::setBit(), casacore::EvenPolynomialParam< T >::setCoefficient(), casacore::OddPolynomialParam< T >::setCoefficient(), casacore::PowerLogarithmicPolynomialParam< T >::setCoefficient(), casacore::setCoefficient(), casacore::SPolynomialParam< T >::setCoefficient(), and casacore::TableExprNodeSet::toArray().

## DebugAssertExit

#define DebugAssertExit | ( |  | expr | ) |

Definition at line 149 of file Assert.h.